%define libgtop_ver 2.12.0
%define hal_ver 0.5.2

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	libipoddevice
Version: 	0.5.3
Release: 	2
Summary: 	Device-specific layer for the Apple iPod

Group:   	Development/Libraries
License: 	LGPLv2
URL:     	http://banshee-project.org/Subprojects/Libipoddevice
Source0: 	http://banshee-project.org/files/banshee/%{name}-%{version}.tar.gz
Patch0:  	libipoddevice-0.5.3-sg3_utils-1.26.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	dbus-glib-devel
BuildRequires: 	hal-devel >= %{hal_ver}
BuildRequires: 	libxml2-devel
BuildRequires: 	libgtop-devel >= %{libgtop_ver}
BuildRequires: 	udev
BuildRequires: 	sg3-utils-devel

%description
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific
HAL event notification to applications, and along with objects
representing an iPod, which gives the application access to
properties and features of an iPod.

%package devel
Summary: 	Libraries and headers for using libipoddevice
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	hal-devel >= %{hal_ver}
Requires: 	libgtop-devel >= %{libgtop_ver}
Requires: 	udev

%description devel
This package contains various headers for using libipoddevice

%prep
%setup -q
%patch0 -p1

%build
%configure
make 

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/ipod
%{_libdir}/libipoddevice.so.*
%{_libdir}/hal/hal-ipod-info
%{_datadir}/hal/fdi/policy/20thirdparty/20-ipod-info.fdi

%files devel
%{_libdir}/libipoddevice.so
%{_libdir}/pkgconfig/ipoddevice.pc
%dir %{_includedir}/ipoddevice
%{_includedir}/ipoddevice/ipod-device.h
%{_includedir}/ipoddevice/ipod-device-event-listener.h
%exclude %{_libdir}/libipoddevice.a
%exclude %{_libdir}/libipoddevice.la


%changelog
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.3-2
- added sg3-utils patch
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.3-1
- Initial release